package com.xmomen.module.account.web.controller.vo;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;

public class CreateUserGroup implements Serializable {

    // 用户组名称，不能为空
    @NotBlank
    private String userGroup;
    // 描述，不能为空
    @NotEmpty
    private String description;
    // 是否可用
    private Boolean available;

    public String getUserGroup() {
        return userGroup;
    }

    public void setUserGroup(String userGroup) {
        this.userGroup = userGroup;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getAvailable() {
        return available;
    }

    public void setAvailable(Boolean available) {
        this.available = available;
    }
}
